﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Modeling;
using Microsoft.VisualStudio.Modeling.Design;
using Microsoft.VisualStudio.Modeling.Diagrams;

namespace Company.BoundsRulesExample
{
    public partial class SyncBarShape
    {
        public override BoundsRules BoundsRules
        {
            get
            {
                return new SyncBarBoundsRule();
            }
        }

    }

    public class SyncBarBoundsRule : BoundsRules
    {
        public override RectangleD GetCompliantBounds(ShapeElement shape, RectangleD proposedBounds)
        {
            double thickness = 0.1;
            if (proposedBounds.Height > proposedBounds.Width)
            {
                // There is a minimum width for a shape; the width will actually be set to the lesser of thickness and that minimum.
                return new RectangleD(proposedBounds.Location, new SizeD(thickness, proposedBounds.Height));
            }
            else
            {
                // There is a minimum height for a shape; the height will actually be set to the lesser of thickness and that minimum.
                return new RectangleD(proposedBounds.Location, new SizeD(proposedBounds.Width, thickness));
            }
        }
    }
}
