﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl xmlns:dm0="http://schemas.microsoft.com/VisualStudio/2008/DslTools/Core" dslVersion="1.0.0.0" Id="e641aee5-9cf8-4491-a2e6-2eac8c5bb22d" Description="Description for Company.BoundsRulesExample.BoundsRulesExample" Name="BoundsRulesExample" DisplayName="Task Flow" Namespace="Company.BoundsRulesExample" ProductName="BoundsRulesExample" CompanyName="Company" PackageGuid="62d171bc-ba38-4bcd-96b4-ebe243f1dc56" PackageNamespace="Company.BoundsRulesExample" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="d0e6b0a3-a439-4ecd-b701-dacf08fe58f9" Description="Overall base class that provides every element with a Name property which acts as its MonikerKey for serialization." Name="NamedElement" DisplayName="Named Element" InheritanceModifier="Abstract" Namespace="Company.BoundsRulesExample">
      <Properties>
        <DomainProperty Id="06c3c6bb-204f-46a0-b5a8-8322ca967bfa" Description="Description for Company.BoundsRulesExample.NamedElement.Name" Name="Name" DisplayName="Name" DefaultValue="" IsElementName="true">
          <Notes>
            The XmlPropertyData sets this property as the MonikerKey. It is therefore important that all the Name values are unique before the model is saved to file.
            The IsElementName attribute ensures that this property will be initialized uniquely.
            However, it does not prevent the user from setting different elements to have the same name, which would prevent saving.
            An alternative technique would be to use a property with type /System/Guid as the MonikerKey, which would be less susceptible to interference from the user;
            the downside is that monikers in the saved file would be less readable.
          </Notes>
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="d99086af-8fd3-443f-a031-21b7da86a11e" Description="Root element in which others are embedded." Name="FlowGraph" DisplayName="Flow Graph" Namespace="Company.BoundsRulesExample">
      <Notes>The ElementMergeDirectives specify what classes of element can be dropped onto this one in the editor, and what relationships that action will construct.
        Merges can also be invoked through the API, providing an alternative way to create embedding relationships.
      </Notes>
      <BaseClass>
        <DomainClassMoniker Name="NamedElement" />
      </BaseClass>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Notes>Enables comments to be dropped onto the diagram.</Notes>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowGraphHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Notes>Enables swimlanes (representing Actors) to be dropped onto the diagram.</Notes>
          <Index>
            <DomainClassMoniker Name="Actor" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowGraphHasActors.Actors</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="fb2fd12a-961d-417d-ae7d-e296cde6c607" Description="Elements that can be connected by Flow links." Name="FlowElement" DisplayName="Flow Element" InheritanceModifier="Abstract" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="NamedElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="7d0393bf-54e5-403d-bd8d-20bd4dcdc875" Description="" Name="Description" DisplayName="Description" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Notes>Enables a Comment to be dropped onto an element and linked to it in one action.</Notes>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ActorHasFlowElements.Actor/!Actor/FlowGraphHasActors.FlowGraph/!FlowGraph/FlowGraphHasComments.Comments</DomainPath>
            <DomainPath>CommentReferencesSubjects.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="b5a96842-85a0-4368-894c-b338a1b498c2" Description="Elements that can be connected by ObjectFlow links." Name="ObjectFlowElement" DisplayName="Object Flow Element" InheritanceModifier="Abstract" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="bb45304d-3a60-4e18-9ee5-7e6010759bc5" Description="" Name="Task" DisplayName="Task" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="ObjectFlowElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="4a0c07db-039c-4b5c-bdc0-2474fc64290a" Description="" Name="NestedDiagram" DisplayName="Nested Diagram" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="c428bd54-4a22-479b-a5ed-6447130211ab" Description="" Name="Sort" DisplayName="Sort" DefaultValue="Regular">
          <Type>
            <DomainEnumerationMoniker Name="TaskSort" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="e26a3276-ad6e-4672-ad42-0db680b2de0f" Description="" Name="StartPoint" DisplayName="Start Point" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="63cd3fa7-61bc-4640-a80c-93a3343274f6" Description="" Name="Endpoint" DisplayName="Endpoint" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="2550d788-5e54-4efa-89a6-02cb75478ad9" Description="" Name="MergeBranch" DisplayName="Merge Branch" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="a07c4f76-e7e5-41e6-84e9-a915e7f0e7b8" Description="" Name="Synchronization" DisplayName="Synchronization" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="FlowElement" />
      </BaseClass>
    </DomainClass>
    <DomainClass Id="680ae579-af1e-4991-aa0f-d228475f1c68" Description="" Name="ObjectInState" DisplayName="Object In State" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="ObjectFlowElement" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="791693f2-12f3-460b-aecb-38d49edd46a7" Description="" Name="State" DisplayName="State" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="90b625db-861a-48b9-87ac-16b4c7ea5f4e" Description="Can be attached to any task flow element." Name="Comment" DisplayName="Comment" Namespace="Company.BoundsRulesExample">
      <Properties>
        <DomainProperty Id="2a1ec35b-ea08-42e2-8caa-9b834ee661fb" Description="" Name="Text" DisplayName="Text" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="91641910-fe81-4ad2-bfc3-6ec2f686245a" Description="Represented by a swim lane on the diagram." Name="Actor" DisplayName="Actor" Namespace="Company.BoundsRulesExample">
      <BaseClass>
        <DomainClassMoniker Name="NamedElement" />
      </BaseClass>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Notes>One link is created when a Comment is merged into an Actor:
            - the embedding link BoundsRulesExampleGraphHasComments, from the BoundsRulesExampleGraph to the Comment.
            The embedding link actually starts from the BoundsRulesExampleGraph that owns the Actor,
            so the first part of that path navigates to the owner from the Actor; the last segment defines the link to be created.
            Note that there is no link between the Actor and the Comment.
          </Notes>
          <Index>
            <DomainClassMoniker Name="Comment" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowGraphHasActors.FlowGraph/!FlowGraph/FlowGraphHasComments.Comments</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Notes>Enables swimlanes (representing Actors) to appear on the diagram.</Notes>
          <Index>
            <DomainClassMoniker Name="Actor" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>FlowGraphHasActors.FlowGraph/!FlowGraph/.Actors</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
        <ElementMergeDirective>
          <Index>
            <DomainClassMoniker Name="FlowElement" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>ActorHasFlowElements.FlowElements</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="8cc2f630-fe60-4894-979a-c2262bdd47ec" Description="Description for Company.BoundsRulesExample.Flow" Name="Flow" DisplayName="Flow" Namespace="Company.BoundsRulesExample">
      <Properties>
        <DomainProperty Id="cdf53219-c4d4-44ef-85a2-0fd13a88202e" Description="" Name="Guard" DisplayName="Guard" DefaultValue="">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="b8e1990a-aa25-4ec1-82b8-5de5eee11ad9" Description="Description for Company.BoundsRulesExample.Flow.FlowFrom" Name="FlowFrom" DisplayName="Flow From" PropertyName="FlowTo" PropertyDisplayName="Flow To">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="085bf32c-bfff-490e-b85e-d15ad809e015" Description="Description for Company.BoundsRulesExample.Flow.FlowTo" Name="FlowTo" DisplayName="Flow To" PropertyName="FlowFrom" PropertyDisplayName="Flow From">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="2d7d0a2d-7395-4e4b-a15b-cc409b5f4bc4" Description="Description for Company.BoundsRulesExample.FlowGraphHasComments" Name="FlowGraphHasComments" DisplayName="Flow Graph Has Comments" Namespace="Company.BoundsRulesExample" IsEmbedding="true">
      <Source>
        <DomainRole Id="511cb354-51ea-406a-8bb4-23f82c3746ed" Description="Description for Company.BoundsRulesExample.FlowGraphHasComments.FlowGraph" Name="FlowGraph" DisplayName="Flow Graph" PropertyName="Comments" PropagatesCopy="PropagatesCopyToLinkAndOppositeRolePlayer" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="FlowGraph" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="25f23a6d-f90e-4cb6-be04-1fe9ef01bb4d" Description="Description for Company.BoundsRulesExample.FlowGraphHasComments.Comment" Name="Comment" DisplayName="Comment" PropertyName="FlowGraph" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="Flow Graph">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="9ae90468-18a4-4c79-860f-15e9d43a5eab" Description="The set of actors (represented by swim lanes) in the task flow." Name="FlowGraphHasActors" DisplayName="Flow Graph Has Actors" Namespace="Company.BoundsRulesExample" IsEmbedding="true">
      <Source>
        <DomainRole Id="5c38450f-a954-4d2c-a2e0-c3d79dfb1738" Description="Description for Company.BoundsRulesExample.FlowGraphHasActors.FlowGraph" Name="FlowGraph" DisplayName="Flow Graph" PropertyName="Actors" PropagatesCopy="PropagatesCopyToLinkAndOppositeRolePlayer" PropertyDisplayName="Actors">
          <RolePlayer>
            <DomainClassMoniker Name="FlowGraph" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="27c576d6-b1c4-43e7-93fa-7c7ccd18d747" Description="Description for Company.BoundsRulesExample.FlowGraphHasActors.Actor" Name="Actor" DisplayName="Actor" PropertyName="FlowGraph" Multiplicity="One" PropertyDisplayName="Flow Graph">
          <RolePlayer>
            <DomainClassMoniker Name="Actor" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="7016553e-f7a5-4a4b-9b0b-7c2fadd66264" Description="Description for Company.BoundsRulesExample.CommentReferencesSubjects" Name="CommentReferencesSubjects" DisplayName="Comment References Subjects" Namespace="Company.BoundsRulesExample">
      <Source>
        <DomainRole Id="a0addad8-4665-4a8e-9dd8-2ad8d63ddcee" Description="Description for Company.BoundsRulesExample.CommentReferencesSubjects.Comment" Name="Comment" DisplayName="Comment" PropertyName="Subjects" PropertyDisplayName="Subjects">
          <RolePlayer>
            <DomainClassMoniker Name="Comment" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="eb3a3a22-2951-4503-93f4-58fa74321921" Description="Description for Company.BoundsRulesExample.CommentReferencesSubjects.Subject" Name="Subject" DisplayName="Subject" PropertyName="Comments" PropertyDisplayName="Comments">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="a130b73d-f1f7-4de1-9aad-c9c0cc92b485" Description="Relationship between Tasks and ObjectInStates." Name="ObjectFlow" DisplayName="Object Flow" Namespace="Company.BoundsRulesExample">
      <Notes>Although this relationship allows links between any pair of elements, it is intended that there should be an ObjectInState at one end or both.
        The ConnectionBuilder for this relationship therefore imposes that restriction: an ObjectFlow link that doesn't involve an ObjectInState at either end
        can therefore not be constructed using the editor. However, it could be constructed through the API.
      </Notes>
      <Source>
        <DomainRole Id="5c2b2755-a44b-4ac1-95c6-c5afef3fd12d" Description="Description for Company.BoundsRulesExample.ObjectFlow.ObjectFlowTo" Name="ObjectFlowTo" DisplayName="Object Flow To" PropertyName="ObjectFlowFrom" PropertyDisplayName="Object Flow From">
          <RolePlayer>
            <DomainClassMoniker Name="ObjectFlowElement" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="9944f077-0dfd-4663-aab6-532edf452651" Description="Description for Company.BoundsRulesExample.ObjectFlow.ObjectFlowFrom" Name="ObjectFlowFrom" DisplayName="Object Flow From" PropertyName="ObjectFlowTo" PropertyDisplayName="Object Flow To">
          <RolePlayer>
            <DomainClassMoniker Name="ObjectFlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="25874a5f-56bc-4fbd-9ada-c541e6465fc8" Description="Description for Company.BoundsRulesExample.ActorHasFlowElements" Name="ActorHasFlowElements" DisplayName="Actor Has Flow Elements" Namespace="Company.BoundsRulesExample" IsEmbedding="true">
      <Source>
        <DomainRole Id="72097a46-06d3-475d-b6a0-8f879cf43d53" Description="Description for Company.BoundsRulesExample.ActorHasFlowElements.Actor" Name="Actor" DisplayName="Actor" PropertyName="FlowElements" PropagatesCopy="PropagatesCopyToLinkAndOppositeRolePlayer" PropertyDisplayName="Flow Elements">
          <RolePlayer>
            <DomainClassMoniker Name="Actor" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="28581019-2cdf-4ea0-b5bf-4e7b75b8b19e" Description="Description for Company.BoundsRulesExample.ActorHasFlowElements.FlowElement" Name="FlowElement" DisplayName="Flow Element" PropertyName="Actor" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="Actor">
          <RolePlayer>
            <DomainClassMoniker Name="FlowElement" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
    <DomainEnumeration Name="TaskSort" Namespace="Company.BoundsRulesExample" Description="Description for Company.BoundsRulesExample.TaskSort">
      <Literals>
        <EnumerationLiteral Description="Description for Company.BoundsRulesExample.TaskSort.Regular" Name="Regular" Value="0" />
        <EnumerationLiteral Description="Description for Company.BoundsRulesExample.TaskSort.SuperTask" Name="SuperTask" Value="1" />
      </Literals>
    </DomainEnumeration>
  </Types>
  <Shapes>
    <GeometryShape Id="32ca163d-7a4c-4435-ab4a-e22a1f6cc609" Description="Description for Company.BoundsRulesExample.TaskShape" Name="TaskShape" DisplayName="Task Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="Task Shape" FillColor="213, 231, 205" InitialWidth="1.2" InitialHeight="0.35" OutlineThickness="0.01" FillGradientMode="Vertical" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerBottomRight" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="SubTask" DisplayName="Sub Task" DefaultIcon="resources\SubTaskIcon.bmp" />
      </ShapeHasDecorators>
    </GeometryShape>
    <GeometryShape Id="d2dcdc88-1900-44b6-8861-73e48420c1d8" Description="Description for Company.BoundsRulesExample.CommentBoxShape" Name="CommentBoxShape" DisplayName="Comment Box Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="Comment Box Shape" FillColor="255, 255, 204" OutlineColor="204, 204, 102" InitialHeight="0.3" OutlineThickness="0.01" FillGradientMode="None" Geometry="Rectangle">
      <ShapeHasDecorators Position="Center" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Comment" DisplayName="Comment" DefaultText="Comment" />
      </ShapeHasDecorators>
    </GeometryShape>
    <ImageShape Id="093bf835-bcd5-429d-9994-ff306fb8aa70" Description="Description for Company.BoundsRulesExample.MergeBranchShape" Name="MergeBranchShape" DisplayName="Merge Branch Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="Merge Branch Shape" InitialWidth="0.5" InitialHeight="0.3" OutlineThickness="0.01" Image="resources\decision.emf" />
    <ImageShape Id="ff54d394-7405-4650-abee-7f40748908ff" Description="Description for Company.BoundsRulesExample.EndShape" Name="EndShape" DisplayName="End Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="End Shape" InitialWidth="0.25" InitialHeight="0.25" OutlineThickness="0.01" Image="Resources\Stop.emf" />
    <ImageShape Id="e17bb086-4f41-49b2-8909-9f901f8d85f9" Description="Description for Company.BoundsRulesExample.StartShape" Name="StartShape" DisplayName="Start Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="Start Shape" InitialWidth="0.25" InitialHeight="0.25" OutlineThickness="0.01" Image="Resources\Start.emf" />
    <GeometryShape Id="11ee0668-dbe1-499f-84dc-07be3eb64221" Description="Description for Company.BoundsRulesExample.SyncBarShape" Name="SyncBarShape" DisplayName="Sync Bar Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="Sync Bar Shape" FillColor="208, 207, 197" InitialWidth="1" InitialHeight="0.1" OutlineThickness="0.01" FillGradientMode="Vertical" Geometry="Rectangle" />
    <GeometryShape Id="d34c2eaf-bcbd-4802-9c65-e32e817eb986" Description="Description for Company.BoundsRulesExample.ObjectShape" Name="ObjectShape" DisplayName="Object Shape" Namespace="Company.BoundsRulesExample" FixedTooltipText="Object Shape" InitialWidth="1.2" InitialHeight="0.4" OutlineThickness="0.01" Geometry="Rectangle">
      <ShapeHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="Name" DisplayName="Name" DefaultText="Name" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerBottomCenter" HorizontalOffset="0" VerticalOffset="0">
        <TextDecorator Name="State" DisplayName="State" DefaultText="State" FontStyle="Italic" />
      </ShapeHasDecorators>
    </GeometryShape>
    <SwimLane Id="236e2d70-2161-4491-9b18-f0575aa40bfa" Description="Description for Company.BoundsRulesExample.ActorSwimLane" Name="ActorSwimLane" DisplayName="Actor Swim Lane" Namespace="Company.BoundsRulesExample" FixedTooltipText="Actor Swim Lane" HeaderFillColor="LightBlue" InitialWidth="0" InitialHeight="0" SeparatorThickness="0.01">
      <Decorators>
        <SwimLaneHasDecorators Position="InnerTopCenter" HorizontalOffset="0" VerticalOffset="0">
          <TextDecorator Name="ActorName" DisplayName="Actor Name" DefaultText="ActorName" />
        </SwimLaneHasDecorators>
      </Decorators>
    </SwimLane>
  </Shapes>
  <Connectors>
    <Connector Id="88e2ace0-3fea-4bc6-9d77-4b8a3ea9ebd1" Description="Description for Company.BoundsRulesExample.CommentConnector" Name="CommentConnector" DisplayName="Comment Connector" Namespace="Company.BoundsRulesExample" FixedTooltipText="Comment Connector" Color="113, 111, 110" DashStyle="Dot" Thickness="0.01" RoutingStyle="Straight" />
    <Connector Id="ae0f10c0-4b57-4912-866b-d5cd51cc012a" Description="Description for Company.BoundsRulesExample.FlowConnector" Name="FlowConnector" DisplayName="Flow Connector" Namespace="Company.BoundsRulesExample" FixedTooltipText="Flow Connector" Color="113, 111, 110" TargetEndStyle="EmptyArrow" Thickness="0.01">
      <ConnectorHasDecorators Position="SourceTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="Guard" DisplayName="Guard" DefaultText="Guard" />
      </ConnectorHasDecorators>
    </Connector>
    <Connector Id="2d1f6e99-f7ce-4f3c-b7e3-557f3fbf134c" Description="Description for Company.BoundsRulesExample.ObjectFlowConnector" Name="ObjectFlowConnector" DisplayName="Object Flow Connector" Namespace="Company.BoundsRulesExample" FixedTooltipText="Object Flow Connector" Color="113, 111, 110" DashStyle="Dash" TargetEndStyle="EmptyArrow" Thickness="0.01" />
  </Connectors>
  <XmlSerializationBehavior Name="BoundsRulesExampleSerializationBehavior" Namespace="Company.BoundsRulesExample">
    <ClassData>
      <XmlClassData TypeName="NamedElement" MonikerAttributeName="name" SerializeId="true" MonikerElementName="namedElementMoniker" ElementName="namedElement" MonikerTypeName="NamedElementMoniker">
        <DomainClassMoniker Name="NamedElement" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="NamedElement/Name" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Flow" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowMoniker" ElementName="flow" MonikerTypeName="FlowMoniker">
        <DomainRelationshipMoniker Name="Flow" />
        <ElementData>
          <XmlPropertyData XmlName="guard">
            <DomainPropertyMoniker Name="Flow/Guard" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FlowGraphHasComments" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowGraphHasCommentsMoniker" ElementName="flowGraphHasComments" MonikerTypeName="FlowGraphHasCommentsMoniker">
        <DomainRelationshipMoniker Name="FlowGraphHasComments" />
      </XmlClassData>
      <XmlClassData TypeName="CommentReferencesSubjects" MonikerAttributeName="" SerializeId="true" MonikerElementName="commentReferencesSubjectsMoniker" ElementName="commentReferencesSubjects" MonikerTypeName="CommentReferencesSubjectsMoniker">
        <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
      </XmlClassData>
      <XmlClassData TypeName="ObjectFlow" MonikerAttributeName="" SerializeId="true" MonikerElementName="objectFlowMoniker" ElementName="objectFlow" MonikerTypeName="ObjectFlowMoniker">
        <DomainRelationshipMoniker Name="ObjectFlow" />
      </XmlClassData>
      <XmlClassData TypeName="FlowGraph" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowGraphMoniker" ElementName="flowGraph" MonikerTypeName="FlowGraphMoniker">
        <DomainClassMoniker Name="FlowGraph" />
        <ElementData>
          <XmlRelationshipData RoleElementName="comments">
            <DomainRelationshipMoniker Name="FlowGraphHasComments" />
          </XmlRelationshipData>
          <XmlRelationshipData RoleElementName="actors">
            <DomainRelationshipMoniker Name="FlowGraphHasActors" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FlowElement" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowElementMoniker" ElementName="flowElement" MonikerTypeName="FlowElementMoniker">
        <DomainClassMoniker Name="FlowElement" />
        <ElementData>
          <XmlPropertyData XmlName="description">
            <DomainPropertyMoniker Name="FlowElement/Description" />
          </XmlPropertyData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="flowTo">
            <DomainRelationshipMoniker Name="Flow" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ObjectFlowElement" MonikerAttributeName="" SerializeId="true" MonikerElementName="objectFlowElementMoniker" ElementName="objectFlowElement" MonikerTypeName="ObjectFlowElementMoniker">
        <DomainClassMoniker Name="ObjectFlowElement" />
        <ElementData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="objectFlowFrom">
            <DomainRelationshipMoniker Name="ObjectFlow" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Task" MonikerAttributeName="" SerializeId="true" MonikerElementName="taskMoniker" ElementName="task" MonikerTypeName="TaskMoniker">
        <DomainClassMoniker Name="Task" />
        <ElementData>
          <XmlPropertyData XmlName="sort">
            <DomainPropertyMoniker Name="Task/Sort" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="nestedDiagram">
            <DomainPropertyMoniker Name="Task/NestedDiagram" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="StartPoint" MonikerAttributeName="" SerializeId="true" MonikerElementName="startPointMoniker" ElementName="startPoint" MonikerTypeName="StartPointMoniker">
        <DomainClassMoniker Name="StartPoint" />
      </XmlClassData>
      <XmlClassData TypeName="Endpoint" MonikerAttributeName="" SerializeId="true" MonikerElementName="endpointMoniker" ElementName="endpoint" MonikerTypeName="EndpointMoniker">
        <DomainClassMoniker Name="Endpoint" />
      </XmlClassData>
      <XmlClassData TypeName="MergeBranch" MonikerAttributeName="" SerializeId="true" MonikerElementName="mergeBranchMoniker" ElementName="mergeBranch" MonikerTypeName="MergeBranchMoniker">
        <DomainClassMoniker Name="MergeBranch" />
      </XmlClassData>
      <XmlClassData TypeName="Synchronization" MonikerAttributeName="" SerializeId="true" MonikerElementName="synchronizationMoniker" ElementName="synchronization" MonikerTypeName="SynchronizationMoniker">
        <DomainClassMoniker Name="Synchronization" />
      </XmlClassData>
      <XmlClassData TypeName="Comment" MonikerAttributeName="" SerializeId="true" MonikerElementName="commentMoniker" ElementName="comment" MonikerTypeName="CommentMoniker">
        <DomainClassMoniker Name="Comment" />
        <ElementData>
          <XmlPropertyData XmlName="text">
            <DomainPropertyMoniker Name="Comment/Text" />
          </XmlPropertyData>
          <XmlRelationshipData RoleElementName="subjects">
            <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="ObjectInState" MonikerAttributeName="" SerializeId="true" MonikerElementName="objectInStateMoniker" ElementName="objectInState" MonikerTypeName="ObjectInStateMoniker">
        <DomainClassMoniker Name="ObjectInState" />
        <ElementData>
          <XmlPropertyData XmlName="state">
            <DomainPropertyMoniker Name="ObjectInState/State" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="Actor" MonikerAttributeName="" SerializeId="true" MonikerElementName="actorMoniker" ElementName="actor" MonikerTypeName="ActorMoniker">
        <DomainClassMoniker Name="Actor" />
        <ElementData>
          <XmlRelationshipData RoleElementName="flowElements">
            <DomainRelationshipMoniker Name="ActorHasFlowElements" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FlowGraphHasActors" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowGraphHasActorsMoniker" ElementName="flowGraphHasActors" MonikerTypeName="FlowGraphHasActorsMoniker">
        <DomainRelationshipMoniker Name="FlowGraphHasActors" />
      </XmlClassData>
      <XmlClassData TypeName="TaskShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="taskShapeMoniker" ElementName="taskShape" MonikerTypeName="TaskShapeMoniker">
        <GeometryShapeMoniker Name="TaskShape" />
      </XmlClassData>
      <XmlClassData TypeName="CommentBoxShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="commentBoxShapeMoniker" ElementName="commentBoxShape" MonikerTypeName="CommentBoxShapeMoniker">
        <GeometryShapeMoniker Name="CommentBoxShape" />
      </XmlClassData>
      <XmlClassData TypeName="MergeBranchShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="mergeBranchShapeMoniker" ElementName="mergeBranchShape" MonikerTypeName="MergeBranchShapeMoniker">
        <ImageShapeMoniker Name="MergeBranchShape" />
      </XmlClassData>
      <XmlClassData TypeName="EndShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="endShapeMoniker" ElementName="endShape" MonikerTypeName="EndShapeMoniker">
        <ImageShapeMoniker Name="EndShape" />
      </XmlClassData>
      <XmlClassData TypeName="StartShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="startShapeMoniker" ElementName="startShape" MonikerTypeName="StartShapeMoniker">
        <ImageShapeMoniker Name="StartShape" />
      </XmlClassData>
      <XmlClassData TypeName="SyncBarShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="syncBarShapeMoniker" ElementName="syncBarShape" MonikerTypeName="SyncBarShapeMoniker">
        <GeometryShapeMoniker Name="SyncBarShape" />
      </XmlClassData>
      <XmlClassData TypeName="ObjectShape" MonikerAttributeName="" SerializeId="true" MonikerElementName="objectShapeMoniker" ElementName="objectShape" MonikerTypeName="ObjectShapeMoniker">
        <GeometryShapeMoniker Name="ObjectShape" />
      </XmlClassData>
      <XmlClassData TypeName="ActorSwimLane" MonikerAttributeName="" SerializeId="true" MonikerElementName="actorSwimLaneMoniker" ElementName="actorSwimLane" MonikerTypeName="ActorSwimLaneMoniker">
        <SwimLaneMoniker Name="ActorSwimLane" />
      </XmlClassData>
      <XmlClassData TypeName="CommentConnector" MonikerAttributeName="" SerializeId="true" MonikerElementName="commentConnectorMoniker" ElementName="commentConnector" MonikerTypeName="CommentConnectorMoniker">
        <ConnectorMoniker Name="CommentConnector" />
      </XmlClassData>
      <XmlClassData TypeName="FlowConnector" MonikerAttributeName="" SerializeId="true" MonikerElementName="flowConnectorMoniker" ElementName="flowConnector" MonikerTypeName="FlowConnectorMoniker">
        <ConnectorMoniker Name="FlowConnector" />
      </XmlClassData>
      <XmlClassData TypeName="ObjectFlowConnector" MonikerAttributeName="" SerializeId="true" MonikerElementName="objectFlowConnectorMoniker" ElementName="objectFlowConnector" MonikerTypeName="ObjectFlowConnectorMoniker">
        <ConnectorMoniker Name="ObjectFlowConnector" />
      </XmlClassData>
      <XmlClassData TypeName="BoundsRulesExampleDiagram" MonikerAttributeName="" SerializeId="true" MonikerElementName="boundsRulesExampleDiagramMoniker" ElementName="boundsRulesExampleDiagram" MonikerTypeName="BoundsRulesExampleDiagramMoniker">
        <DiagramMoniker Name="BoundsRulesExampleDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="ActorHasFlowElements" MonikerAttributeName="" SerializeId="true" MonikerElementName="actorHasFlowElementsMoniker" ElementName="actorHasFlowElements" MonikerTypeName="ActorHasFlowElementsMoniker">
        <DomainRelationshipMoniker Name="ActorHasFlowElements" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="BoundsRulesExampleExplorer" />
  <ConnectionBuilders>
    <ConnectionBuilder Name="FlowBuilder">
      <Notes>This ConnectionBuilder constructs the appropriate type of flow (Flow or ObjectFlow) between Tasks and Objects.</Notes>
      <LinkConnectDirective>
        <Notes>Flows can connect any BoundsRulesExampleElement to any other. But in this connection builder, 
        we are choosy about what we connect from and to. For example, you cannot connect from an EndPoint,
        nor to a StartPoint.</Notes>
        <DomainRelationshipMoniker Name="Flow" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Task" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="MergeBranch" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="StartPoint" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Synchronization" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Task" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="MergeBranch" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Endpoint" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Synchronization" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
      <LinkConnectDirective>
        <Notes>Connections *to* an Object, from a Task or an Object.</Notes>
        <DomainRelationshipMoniker Name="ObjectFlow" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Task" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ObjectInState" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ObjectInState" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
      <LinkConnectDirective>
        <Notes>Connections *from* an Object, to a Task. (Object to Object is covered by the other LinkConnectDirective.)</Notes>
        <DomainRelationshipMoniker Name="ObjectFlow" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="ObjectInState" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Task" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
    <ConnectionBuilder Name="CommentReferencesSubjectsBuilder">
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="Comment" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FlowElement" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="9824c588-373a-41bc-a3de-6ec7b83bd1f1" Description="Description for Company.BoundsRulesExample.BoundsRulesExampleDiagram" Name="BoundsRulesExampleDiagram" DisplayName="Flow Diagram" Namespace="Company.BoundsRulesExample">
    <Class>
      <DomainClassMoniker Name="FlowGraph" />
    </Class>
    <ShapeMaps>
      <ShapeMap>
        <DomainClassMoniker Name="Task" />
        <ParentElementPath>
          <DomainPath>ActorHasFlowElements.Actor/!Actor</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="TaskShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="NamedElement/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <IconDecoratorMoniker Name="TaskShape/SubTask" />
          <VisibilityPropertyPath>
            <DomainPropertyMoniker Name="Task/Sort" />
            <PropertyFilters>
              <PropertyFilter FilteringValue="SuperTask" />
            </PropertyFilters>
          </VisibilityPropertyPath>
        </DecoratorMap>
        <GeometryShapeMoniker Name="TaskShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Comment" />
        <ParentElementPath>
          <DomainPath>FlowGraphHasComments.FlowGraph/!FlowGraph</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="CommentBoxShape/Comment" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Comment/Text" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="CommentBoxShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="MergeBranch" />
        <ParentElementPath>
          <DomainPath>ActorHasFlowElements.Actor/!Actor</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="MergeBranchShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Endpoint" />
        <ParentElementPath>
          <DomainPath>ActorHasFlowElements.Actor/!Actor</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="EndShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="StartPoint" />
        <ParentElementPath>
          <DomainPath>ActorHasFlowElements.Actor/!Actor</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="StartShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="Synchronization" />
        <ParentElementPath>
          <DomainPath>ActorHasFlowElements.Actor/!Actor</DomainPath>
        </ParentElementPath>
        <GeometryShapeMoniker Name="SyncBarShape" />
      </ShapeMap>
      <SwimLaneMap>
        <DomainClassMoniker Name="Actor" />
        <ParentElementPath>
          <DomainPath>FlowGraphHasActors.FlowGraph/!FlowGraph</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ActorSwimLane/ActorName" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="NamedElement/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <SwimLane>
          <SwimLaneMoniker Name="ActorSwimLane" />
        </SwimLane>
      </SwimLaneMap>
      <ShapeMap>
        <DomainClassMoniker Name="ObjectInState" />
        <ParentElementPath>
          <DomainPath>ActorHasFlowElements.Actor/!Actor</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ObjectShape/Name" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="NamedElement/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="ObjectShape/State" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="ObjectInState/State" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="ObjectShape" />
      </ShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="FlowConnector" />
        <DomainRelationshipMoniker Name="Flow" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="FlowConnector/Guard" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Flow/Guard" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="ObjectFlowConnector" />
        <DomainRelationshipMoniker Name="ObjectFlow" />
      </ConnectorMap>
      <ConnectorMap>
        <ConnectorMoniker Name="CommentConnector" />
        <DomainRelationshipMoniker Name="CommentReferencesSubjects" />
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer CopyPasteGeneration="CopyPasteOnly" FileExtension="mydsl3" EditorGuid="db79543b-4835-4f5a-80bb-48a1d43d5f14">
    <RootClass>
      <DomainClassMoniker Name="FlowGraph" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="BoundsRulesExampleSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="BoundsRulesExample">
      <ElementTool Name="Task" ToolboxIcon="resources\TaskTool.bmp" Caption="Task" Tooltip="Create a Task" HelpKeyword="CreateTaskF1Keyword">
        <DomainClassMoniker Name="Task" />
      </ElementTool>
      <ElementTool Name="StartPoint" ToolboxIcon="Resources\StartTool.bmp" Caption="Start Point" Tooltip="Create a Start Point" HelpKeyword="CreateStartStateF1Keyword">
        <DomainClassMoniker Name="StartPoint" />
      </ElementTool>
      <ElementTool Name="EndPoint" ToolboxIcon="Resources\EndTool.bmp" Caption="End Point" Tooltip="End Point" HelpKeyword="CreateFinalStateF1Keyword">
        <DomainClassMoniker Name="Endpoint" />
      </ElementTool>
      <ElementTool Name="MergeBranch" ToolboxIcon="resources\MergeBranchTool.bmp" Caption="Merge/Branch" Tooltip="Create a Merge/Branch" HelpKeyword="CreateMergeBranchF1Keyword">
        <DomainClassMoniker Name="MergeBranch" />
      </ElementTool>
      <ElementTool Name="Synchronization" ToolboxIcon="resources\SyncBarTool.bmp" Caption="Synchronization" Tooltip="Create a Synchronization bar" HelpKeyword="Synchronization">
        <DomainClassMoniker Name="Synchronization" />
      </ElementTool>
      <ConnectionTool Name="Flow" ToolboxIcon="resources\FlowTool.bmp" Caption="Flow" Tooltip="Drag between Tasks to create a Flow" HelpKeyword="ConnectFlowF1Keyword">
        <ConnectionBuilderMoniker Name="BoundsRulesExample/FlowBuilder" />
      </ConnectionTool>
      <ElementTool Name="ObjectInState" ToolboxIcon="resources\ObjectTool.bmp" Caption="Object In State" Tooltip="Create an Object-In-State" HelpKeyword="CreateObjectInStateF1Keyword">
        <DomainClassMoniker Name="ObjectInState" />
      </ElementTool>
      <ElementTool Name="Comment" ToolboxIcon="resources\CommentTool.bmp" Caption="Comment" Tooltip="Create a Comment" HelpKeyword="CreateCommentF1Keyword">
        <DomainClassMoniker Name="Comment" />
      </ElementTool>
      <ConnectionTool Name="CommentSubjects" ToolboxIcon="resources\CommentConnectorTool.bmp" Caption="Comment Connector" Tooltip="Drag to link a Comment to its subjects" HelpKeyword="ConnectCommentSubjectsF1Keyword">
        <ConnectionBuilderMoniker Name="BoundsRulesExample/CommentReferencesSubjectsBuilder" />
      </ConnectionTool>
      <ElementTool Name="Actor" ToolboxIcon="resources\SwimlaneTool.bmp" Caption="Actor swim lane" Tooltip="Create an Actor Swim Lane" HelpKeyword="Actor">
        <DomainClassMoniker Name="Actor" />
      </ElementTool>
    </ToolboxTab>
    <Validation UsesMenu="false" UsesOpen="false" UsesSave="false" UsesLoad="false" />
    <DiagramMoniker Name="BoundsRulesExampleDiagram" />
  </Designer>
  <Explorer ExplorerGuid="a481e5c3-ecc6-4d53-af23-930aa9d20662" Title="BoundsRulesExample Explorer">
    <ExplorerBehaviorMoniker Name="BoundsRulesExample/BoundsRulesExampleExplorer" />
  </Explorer>
</Dsl>