﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Modeling;
using Microsoft.VisualStudio.Modeling.Design;
using Microsoft.VisualStudio.Modeling.Diagrams;

namespace Company.MuliText
{
	public partial class CommentShape
	{
        protected override void InitializeDecorators(IList<ShapeField> shapeFields, IList<Decorator> decorators)
        {
            base.InitializeDecorators(shapeFields, decorators);

            TextField commentField = (TextField)ShapeElement.FindShapeField(shapeFields, "Comment");

            if (commentField != null)
            {
                commentField.DefaultAutoSize = false; // auto-size not supported on multi-line text fields.
                commentField.DefaultMultipleLine = true;

                commentField.AnchoringBehavior.Clear(); // clear existing anchors, set up custom anchoring below.

                commentField.AnchoringBehavior.SetLeftAnchor(AnchoringBehavior.Edge.Left, 0.01);
                commentField.AnchoringBehavior.SetRightAnchor(AnchoringBehavior.Edge.Right, 0.01);
                commentField.AnchoringBehavior.SetTopAnchor(AnchoringBehavior.Edge.Top, 0.01);
                commentField.AnchoringBehavior.SetBottomAnchor(AnchoringBehavior.Edge.Bottom, 0.01);
            }
        }
    }
}
